libzypp: zypp::functor Namespace Reference

libzypp 17.25.10

Namespaces | Classes | Functions
zypp::functor Namespace Reference

## Namespaces
namespace | functor_detail
| An unary functor forwarding to some other `TFunctor &`.

## Classes
struct | Chain
| Logical functor chaining TACondition `AND` TBCondition. More...
struct | Collector
| Functor feeding values to an output_iterator. More...
struct | Constant
struct | False
| Logical functor always `false`. More...
struct | FunctorRef
| A binary FunctorRef. More...
struct | FunctorRef< TFunctor, res_type >
| A nullary FunctorRef. More...
struct | FunctorRef< TFunctor, res_type, arg1_type >
| A unary FunctorRef. More...
struct | GetAll
| Store all results found to some output_iterator. More...
struct | GetFirst
| Strore the 1st result found in the variable passed to the ctor. More...
struct | GetLast
| Strore the last result found in the variable passed to the ctor. More...
struct | Not
| Logical functor inverting TCondition. More...
struct | Or
| Logical functor chaining TACondition `OR` TBCondition. More...
struct | True
| Logical functor always `true`. More...

## Functions
template<class res_type , class arg1_type , class arg2_type , class TFunctor >
FunctorRef< TFunctor, res_type, arg1_type, arg2_type > | functorRef (TFunctor &f_r)
| Convenience function creating a binary FunctorRef. More...
template<class res_type , class arg1_type , class TFunctor >
FunctorRef< TFunctor, res_type, arg1_type > | functorRef (TFunctor &f_r)
template<class res_type , class TFunctor >
FunctorRef< TFunctor, res_type > | functorRef (TFunctor &f_r)
template<class TConst >
Constant< TConst > | constant (const TConst &value)
True | true_c ()
| Convenience function for creating a True. More...
False | false_c ()
| Convenience function for creating a False. More...
template<class TCondition >
Not< TCondition > | not_c (TCondition cond_r)
| Convenience function for creating a Not from TCondition. More...
template<class TACondition , class TBCondition >
Or< TACondition, TBCondition > | or_c (TACondition conda_r, TBCondition condb_r)
| Convenience function for creating a Or from two conditions conda_r OR condb_r. More...
template<class TACondition , class TBCondition >
Chain< TACondition, TBCondition > | chain (TACondition conda_r, TBCondition condb_r)
| Convenience function for creating a Chain from two conditions conda_r and condb_r. More...
template<class Tp >
GetFirst< Tp > | getFirst (Tp &result_r)
| Convenience function for creating GetFirst. More...
template<class Tp >
GetLast< Tp > | getLast (Tp &result_r)
| Convenience function for creating GetLast. More...
template<class TOutputIterator >
GetAll< TOutputIterator > | getAll (TOutputIterator result_r)
| Convenience function for creating GetAll. More...

## Function Documentation

## ◆ functorRef() [1/3]

template<class res_type , class arg1_type , class arg2_type , class TFunctor >

FunctorRef<TFunctor, res_type, arg1_type, arg2_type> zypp::functor::functorRef | ( | TFunctor & | f_r | ) |

Convenience function creating a binary FunctorRef.

Definition at line 173 of file Functional.h.

## ◆ functorRef() [2/3]

template<class res_type , class arg1_type , class TFunctor >

FunctorRef<TFunctor, res_type, arg1_type> zypp::functor::functorRef | ( | TFunctor & | f_r | ) |

Definition at line 177 of file Functional.h.

## ◆ functorRef() [3/3]

template<class res_type , class TFunctor >

FunctorRef<TFunctor, res_type> zypp::functor::functorRef | ( | TFunctor & | f_r | ) |

Definition at line 181 of file Functional.h.

## ◆ constant()

template<class TConst >

Constant<TConst> zypp::functor::constant | ( | const TConst & | value | ) |
| inline

Definition at line 236 of file Functional.h.

## ◆ true_c()

True zypp::functor::true_c | ( |  | ) |
| inline

Convenience function for creating a True.

Definition at line 250 of file Functional.h.

## ◆ false_c()

False zypp::functor::false_c | ( |  | ) |
| inline

Convenience function for creating a False.

Definition at line 265 of file Functional.h.

## ◆ not_c()

template<class TCondition >

Not<TCondition> zypp::functor::not_c | ( | TCondition | cond_r | ) |
| inline

Convenience function for creating a Not from TCondition.

Definition at line 288 of file Functional.h.

## ◆ or_c()

template<class TACondition , class TBCondition >

Or<TACondition, TBCondition> zypp::functor::or_c | ( | TACondition | conda_r,
|  | TBCondition | condb_r
| ) |  |
| inline

Convenience function for creating a Or from two conditions conda_r OR condb_r.

Definition at line 317 of file Functional.h.

## ◆ chain()

template<class TACondition , class TBCondition >

Chain<TACondition, TBCondition> zypp::functor::chain | ( | TACondition | conda_r,
|  | TBCondition | condb_r
| ) |  |
| inline

Convenience function for creating a Chain from two conditions conda_r and condb_r.

Definition at line 346 of file Functional.h.

## ◆ getFirst()

template<class Tp >

GetFirst<Tp> zypp::functor::getFirst | ( | Tp & | result_r | ) |

Convenience function for creating GetFirst.

Definition at line 382 of file Functional.h.

## ◆ getLast()

template<class Tp >

GetLast<Tp> zypp::functor::getLast | ( | Tp & | result_r | ) |

Convenience function for creating GetLast.

Definition at line 403 of file Functional.h.

## ◆ getAll()

template<class TOutputIterator >

GetAll<TOutputIterator> zypp::functor::getAll | ( | TOutputIterator | result_r | ) |

Convenience function for creating GetAll.

Definition at line 431 of file Functional.h.